Aracılığıyla paylaş


Apis - Create Or Update

API Management hizmet örneğinin belirtilen API'sini yeni oluşturur veya güncelleştirir.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2024-05-01

URI Parametreleri

Name İçinde Gerekli Tür Description
apiId
path True

string

minLength: 1
maxLength: 256
pattern: ^[^*#&+:<>?]+$

API düzeltme tanımlayıcısı. Geçerli API Management hizmet örneğinde benzersiz olmalıdır. Geçerli olmayan düzeltme ; rev=n sonek olarak, n düzeltme numarasıdır.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

API Management hizmetinin adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Başlığı

Name Gerekli Tür Description
If-Match

string

Varlığın ETag'i. Varlık oluştururken gerekli değildir, ancak varlığı güncelleştirirken gereklidir.

İstek Gövdesi

Name Gerekli Tür Description
properties.path True

string

minLength: 0
maxLength: 400

Bu API'yi ve API Management hizmet örneği içindeki tüm kaynak yollarını benzersiz olarak tanımlayan göreli URL. Bu API için genel bir URL oluşturmak üzere hizmet örneği oluşturma sırasında belirtilen API uç nokta temel URL'sine eklenir.

apiRevision

string

minLength: 1
maxLength: 100

API'nin düzeltmesini açıklar. Değer sağlanmazsa, varsayılan düzeltme 1 oluşturulur

apiRevisionDescription

string

maxLength: 256

API Düzeltmesi'nin açıklaması.

apiVersion

string

maxLength: 100

API sürümlendiyse API'nin sürüm tanımlayıcısını gösterir

apiVersionDescription

string

maxLength: 256

API Sürümünün açıklaması.

apiVersionSetId

string

İlgili ApiVersionSet için kaynak tanımlayıcısı.

authenticationSettings

AuthenticationSettingsContract

Bu API'ye dahil edilen kimlik doğrulama ayarlarının koleksiyonu.

contact

ApiContactInformation

API için iletişim bilgileri.

description

string

API'nin açıklaması. HTML biçimlendirme etiketleri içerebilir.

isCurrent

boolean

API düzeltmenin geçerli API düzeltmesi olup olmadığını gösterir.

license

ApiLicenseInformation

API için lisans bilgileri.

properties.apiType

SoapApiType

Oluşturulacak API türü.

  • http REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'si oluşturur. Gelecekte yeni türler eklenebilir.
properties.apiVersionSet

ApiVersionSetContractDetails

Sürüm kümesi ayrıntıları

properties.displayName

string

minLength: 1
maxLength: 300

API adı. 1 ile 300 karakter uzunluğunda olmalıdır.

properties.format

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

properties.protocols

Protocol[]

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bu API'yi uygulayan arka uç hizmetinin mutlak URL'si. 2000 karakterden uzun olamaz.

properties.sourceApiId

string

Kaynak API'nin API tanımlayıcısı.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

properties.value

string

API içeri aktarılırken içerik değeri.

properties.wsdlSelector

WsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

API'nin kullanılabilir hale getirildiği protokoller.

subscriptionRequired

boolean

API'ye erişmek için bir API'nin mi yoksa Ürün aboneliğinin mi gerekli olduğunu belirtir.

termsOfServiceUrl

string

API için Hizmet Koşulları'nın URL'si. URL biçiminde olmalıdır.

type

ApiType

API türü.

Yanıtlar

Name Tür Description
200 OK

ApiContract

API başarıyla güncelleştirildi.

Üst Bilgiler

  • ETag: string
  • location: string
  • Azure-AsyncOperation: string
201 Created

ApiContract

API başarıyla oluşturuldu.

Üst Bilgiler

  • ETag: string
  • location: string
  • Azure-AsyncOperation: string
Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "displayName": "apiname1463",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "https",
      "http"
    ]
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiClone

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2024-05-01

{
  "properties": {
    "displayName": "Echo API2",
    "description": "Copy of Existing Echo Api including Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "isCurrent": true,
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapi2",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Copy of Existing Echo Api including Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapi2",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Copy of Existing Echo Api including Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2024-05-01

{
  "properties": {
    "displayName": "Echo API2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "isCurrent": true,
    "apiVersion": "v4",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapiv3",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "apiVersionSet": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "name": "Echo API2",
      "versioningScheme": "Segment"
    },
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapiv3",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "apiVersionSet": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "name": "Echo API2",
      "versioningScheme": "Segment"
    },
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2024-05-01

{
  "properties": {
    "path": "echo",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api",
    "apiRevisionDescription": "Creating a Revision of an existing API"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echo-api;rev=3",
  "properties": {
    "displayName": "Echo API",
    "apiRevision": "3",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "path": "echo",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echo-api;rev=3",
  "properties": {
    "displayName": "Echo API",
    "apiRevision": "3",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "path": "echo",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01

{
  "properties": {
    "format": "swagger-link",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apidocs",
  "properties": {
    "displayName": "Swagger Sample App",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "path": "petstoreapi123",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apidocs",
  "properties": {
    "displayName": "Swagger Sample App",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "path": "petstoreapi123",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingOai3Import

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "openapi-link",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml",
    "path": "petstore"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "openapi-link",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml",
    "path": "petstore",
    "translateRequiredQueryParameters": "template"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingSwaggerImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "swagger-link-json",
    "value": "http://petstore.swagger.io/v2/swagger.json",
    "path": "petstore"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "http"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "http"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingWadlImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "wadl-link-json",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl",
    "path": "collector"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "collectorwadl",
  "properties": {
    "displayName": "http://localhost:8080/collector-northbound",
    "apiRevision": "1",
    "description": "",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "path": "collector",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "collectorwadl",
  "properties": {
    "displayName": "http://localhost:8080/collector-northbound",
    "apiRevision": "1",
    "description": "",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "path": "collector",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "displayName": "apiname1463",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "https",
      "http"
    ]
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "openidProviderId": "openidProviderId2283",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        },
        {
          "openidProviderId": "openidProviderId2284",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "displayName": "apiname1463",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "https",
      "http"
    ]
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "openidProviderId2283",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      },
      "openidAuthenticationSettings": [
        {
          "openidProviderId": "openidProviderId2283",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        },
        {
          "openidProviderId": "openidProviderId2284",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiWithOpenIdConnect

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "displayName": "Swagger Petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "testopenid",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "58da4c4ccdae970a08121230",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "testopenid",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "58da4c4ccdae970a08121230",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "testopenid",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateGraphQLApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "graphql",
    "serviceUrl": "https://api.spacex.land/graphql",
    "path": "graphql-api",
    "protocols": [
      "http",
      "https"
    ]
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://api.spacex.land/graphql",
    "type": "graphql",
    "path": "graphql-api",
    "protocols": [
      "https",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://api.spacex.land/graphql",
    "type": "graphql",
    "path": "graphql-api",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateGrpcApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "grpc",
    "serviceUrl": "https://your-api-hostname/samples",
    "path": "grpc-api",
    "protocols": [
      "https"
    ],
    "format": "grpc-link",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://your-api-hostname/samples",
    "type": "grpc",
    "path": "grpc-api",
    "protocols": [
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://your-api-hostname/samples",
    "type": "grpc",
    "path": "grpc-api",
    "protocols": [
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true
  }
}

ApiManagementCreateODataApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "odata",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "path": "odata-api",
    "protocols": [
      "http",
      "https"
    ],
    "format": "odata-link",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "type": "odata",
    "path": "odata-api",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "type": "odata",
    "path": "odata-api",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2024-05-01

{
  "properties": {
    "format": "wsdl-link",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "path": "currency",
    "apiType": "soap",
    "wsdlSelector": {
      "wsdlServiceName": "CurrencyConvertor",
      "wsdlEndpointName": "CurrencyConvertorSoap"
    }
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "type": "soap",
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "type": "soap",
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2024-05-01

{
  "properties": {
    "format": "wsdl-link",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "path": "currency",
    "wsdlSelector": {
      "wsdlServiceName": "CurrencyConvertor",
      "wsdlEndpointName": "CurrencyConvertorSoap"
    }
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateWebSocketApi

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "websocket",
    "serviceUrl": "wss://echo.websocket.org",
    "path": "newapiPath",
    "protocols": [
      "wss",
      "ws"
    ]
  }
}

Örnek yanıt

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "wss://echo.websocket.org",
    "type": "websocket",
    "path": "newapiPath",
    "protocols": [
      "ws",
      "wss"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "wss://echo.websocket.org",
    "type": "websocket",
    "path": "newapiPath",
    "protocols": [
      "ws",
      "wss"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

Tanımlar

Name Description
ApiContactInformation

API iletişim bilgileri

ApiContract

API ayrıntıları.

ApiCreateOrUpdateParameter

API Parametreleri Oluşturma veya Güncelleştirme.

ApiLicenseInformation

API lisans bilgileri

ApiType

API türü.

ApiVersionSetContractDetails

API Sürüm Kümesi, ilgili BIR DIZI API Sürümü için ortak yapılandırmayı içerir

AuthenticationSettingsContract

API Kimlik Doğrulama Ayarları.

bearerTokenSendingMethods

Sunucuya belirteç gönderme.

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

OAuth2AuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

OpenIdAuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

Protocol

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

SoapApiType

Oluşturulacak API türü.

  • http REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'si oluşturur. Gelecekte yeni türler eklenebilir.
SubscriptionKeyParameterNamesContract

Abonelik anahtarı parametre adları ayrıntıları.

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

versioningScheme

API Sürüm tanımlayıcısının HTTP isteğinde nerede bulunacağını belirleyen bir değer.

WsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

ApiContactInformation

API iletişim bilgileri

Name Tür Description
email

string

İlgili kişinin/kuruluşun e-posta adresi. E-posta adresi biçiminde olmalıdır

name

string

İlgili kişinin/kuruluşun tanımlayıcı adı

url

string

kişi bilgilerine işaret eden URL. URL biçiminde olmalıdır

ApiContract

API ayrıntıları.

Name Tür Description
id

string

Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Kaynağın adı

properties.apiRevision

string

minLength: 1
maxLength: 100

API'nin düzeltmesini açıklar. Değer sağlanmazsa, varsayılan düzeltme 1 oluşturulur

properties.apiRevisionDescription

string

maxLength: 256

API Düzeltmesi'nin açıklaması.

properties.apiVersion

string

maxLength: 100

API sürümlendiyse API'nin sürüm tanımlayıcısını gösterir

properties.apiVersionDescription

string

maxLength: 256

API Sürümünün açıklaması.

properties.apiVersionSet

ApiVersionSetContractDetails

Sürüm kümesi ayrıntıları

properties.apiVersionSetId

string

İlgili ApiVersionSet için kaynak tanımlayıcısı.

properties.authenticationSettings

AuthenticationSettingsContract

Bu API'ye dahil edilen kimlik doğrulama ayarlarının koleksiyonu.

properties.contact

ApiContactInformation

API için iletişim bilgileri.

properties.description

string

API'nin açıklaması. HTML biçimlendirme etiketleri içerebilir.

properties.displayName

string

minLength: 1
maxLength: 300

API adı. 1 ile 300 karakter uzunluğunda olmalıdır.

properties.isCurrent

boolean

API düzeltmenin geçerli API düzeltmesi olup olmadığını gösterir.

properties.isOnline

boolean

API düzeltmesine ağ geçidi üzerinden erişilip erişilmediğini gösterir.

properties.license

ApiLicenseInformation

API için lisans bilgileri.

properties.path

string

minLength: 0
maxLength: 400

Bu API'yi ve API Management hizmet örneği içindeki tüm kaynak yollarını benzersiz olarak tanımlayan göreli URL. Bu API için genel bir URL oluşturmak üzere hizmet örneği oluşturma sırasında belirtilen API uç nokta temel URL'sine eklenir.

properties.protocols

Protocol[]

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

properties.provisioningState

string

Sağlama durumu

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bu API'yi uygulayan arka uç hizmetinin mutlak URL'si. 2000 karakterden uzun olamaz.

properties.sourceApiId

string

Kaynak API'nin API tanımlayıcısı.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

API'nin kullanılabilir hale getirildiği protokoller.

properties.subscriptionRequired

boolean

API'ye erişmek için bir API'nin mi yoksa Ürün aboneliğinin mi gerekli olduğunu belirtir.

properties.termsOfServiceUrl

string

API için Hizmet Koşulları'nın URL'si. URL biçiminde olmalıdır.

properties.type

ApiType

API türü.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

ApiCreateOrUpdateParameter

API Parametreleri Oluşturma veya Güncelleştirme.

Name Tür Description
apiRevision

string

minLength: 1
maxLength: 100

API'nin düzeltmesini açıklar. Değer sağlanmazsa, varsayılan düzeltme 1 oluşturulur

apiRevisionDescription

string

maxLength: 256

API Düzeltmesi'nin açıklaması.

apiVersion

string

maxLength: 100

API sürümlendiyse API'nin sürüm tanımlayıcısını gösterir

apiVersionDescription

string

maxLength: 256

API Sürümünün açıklaması.

apiVersionSetId

string

İlgili ApiVersionSet için kaynak tanımlayıcısı.

authenticationSettings

AuthenticationSettingsContract

Bu API'ye dahil edilen kimlik doğrulama ayarlarının koleksiyonu.

contact

ApiContactInformation

API için iletişim bilgileri.

description

string

API'nin açıklaması. HTML biçimlendirme etiketleri içerebilir.

isCurrent

boolean

API düzeltmenin geçerli API düzeltmesi olup olmadığını gösterir.

isOnline

boolean

API düzeltmesine ağ geçidi üzerinden erişilip erişilmediğini gösterir.

license

ApiLicenseInformation

API için lisans bilgileri.

properties.apiType

SoapApiType

Oluşturulacak API türü.

  • http REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'si oluşturur. Gelecekte yeni türler eklenebilir.
properties.apiVersionSet

ApiVersionSetContractDetails

Sürüm kümesi ayrıntıları

properties.displayName

string

minLength: 1
maxLength: 300

API adı. 1 ile 300 karakter uzunluğunda olmalıdır.

properties.format

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

properties.path

string

minLength: 0
maxLength: 400

Bu API'yi ve API Management hizmet örneği içindeki tüm kaynak yollarını benzersiz olarak tanımlayan göreli URL. Bu API için genel bir URL oluşturmak üzere hizmet örneği oluşturma sırasında belirtilen API uç nokta temel URL'sine eklenir.

properties.protocols

Protocol[]

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

properties.provisioningState

string

Sağlama durumu

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bu API'yi uygulayan arka uç hizmetinin mutlak URL'si. 2000 karakterden uzun olamaz.

properties.sourceApiId

string

Kaynak API'nin API tanımlayıcısı.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

properties.value

string

API içeri aktarılırken içerik değeri.

properties.wsdlSelector

WsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

API'nin kullanılabilir hale getirildiği protokoller.

subscriptionRequired

boolean

API'ye erişmek için bir API'nin mi yoksa Ürün aboneliğinin mi gerekli olduğunu belirtir.

termsOfServiceUrl

string

API için Hizmet Koşulları'nın URL'si. URL biçiminde olmalıdır.

type

ApiType

API türü.

ApiLicenseInformation

API lisans bilgileri

Name Tür Description
name

string

API için kullanılan lisans adı

url

string

API için kullanılan lisansın URL'si. URL biçiminde olmalıdır

ApiType

API türü.

Değer Description
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

API Sürüm Kümesi, ilgili BIR DIZI API Sürümü için ortak yapılandırmayı içerir

Name Tür Description
description

string

API Sürüm Kümesi açıklaması.

id

string

Mevcut API Sürüm Kümesi tanımlayıcısı. Yeni bir Sürüm Kümesi oluşturmak için bu değeri atla.

name

string

API Sürüm Kümesinin görünen Adı.

versionHeaderName

string

VersioningScheme headerolarak ayarlandıysa API Sürümünü gösteren HTTP üst bilgi parametresinin adı.

versionQueryName

string

VersioningScheme queryolarak ayarlandıysa API Sürümünü gösteren sorgu parametresinin adı.

versioningScheme

versioningScheme

API Sürüm tanımlayıcısının HTTP isteğinde nerede bulunacağını belirleyen bir değer.

AuthenticationSettingsContract

API Kimlik Doğrulama Ayarları.

Name Tür Description
oAuth2

OAuth2AuthenticationSettingsContract

OAuth2 Kimlik Doğrulama ayarları

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Bu API'ye dahil edilen OAuth2 kimlik doğrulama ayarlarının koleksiyonu.

openid

OpenIdAuthenticationSettingsContract

OpenID Connect Kimlik Doğrulama Ayarları

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Bu API'ye dahil edilen Open ID Connect kimlik doğrulama ayarlarının koleksiyonu.

bearerTokenSendingMethods

Sunucuya belirteç gönderme.

Değer Description
authorizationHeader

Erişim belirteci, Taşıyıcı şeması kullanılarak Yetkilendirme üst bilgisinde iletilir

query

Erişim belirteci sorgu parametresi olarak iletilir.

ContentFormat

API'nin içeri aktarıldığı İçeriğin biçimi. Gelecekte yeni biçimler eklenebilir

Değer Description
wadl-xml

İçerikler satır içidir ve İçerik türü bir WADL belgesidir.

wadl-link-json

WADL belgesi genel olarak erişilebilen bir internet adresinde barındırılır.

swagger-json

İçerikler satır içidir ve İçerik Türü bir OpenAPI 2.0 JSON Belgesidir.

swagger-link-json

OpenAPI 2.0 JSON belgesi genel olarak erişilebilen bir internet adresinde barındırılır.

wsdl

İçerikler satır içidir ve belge bir WSDL/Soap belgesidir.

wsdl-link

WSDL belgesi genel olarak erişilebilen bir internet adresinde barındırılır.

openapi

İçerikler satır içidir ve İçerik Türü bir OpenAPI 3.0 YAML Belgesidir.

openapi+json

İçerikler satır içidir ve İçerik Türü bir OpenAPI 3.0 JSON Belgesidir.

openapi-link

OpenAPI 3.0 YAML belgesi genel olarak erişilebilen bir internet adresinde barındırılır.

openapi+json-link

OpenAPI 3.0 JSON belgesi genel olarak erişilebilen bir internet adresinde barındırılır.

graphql-link

Genel olarak erişilebilen bir internet adresinde barındırılan GraphQL API uç noktası.

odata

İçerikler satır içidir ve İçerik Türü bir OData XML Belgesidir.

odata-link

Genel olarak erişilebilen bir internet adresinde barındırılan OData meta veri belgesi.

grpc

İçerikler satır içidir ve İçerik Türü bir gRPC protobuf dosyasıdır.

grpc-link

gRPC protobuf dosyası genel olarak erişilebilen bir internet adresinde barındırılır.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

OAuth2AuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

Name Tür Description
authorizationServerId

string

OAuth yetkilendirme sunucusu tanımlayıcısı.

scope

string

işlem kapsamı.

OpenIdAuthenticationSettingsContract

API OAuth2 Kimlik Doğrulaması ayarları ayrıntıları.

Name Tür Description
bearerTokenSendingMethods

bearerTokenSendingMethods[]

Sunucuya belirteç gönderme.

openidProviderId

string

OAuth yetkilendirme sunucusu tanımlayıcısı.

Protocol

Bu API'deki işlemlerin çağrılabileceği protokolleri açıklar.

Değer Description
http
https
ws
wss

SoapApiType

Oluşturulacak API türü.

  • http REST API oluşturur
  • soap bir SOAP geçiş API'si oluşturur
  • websocket websocket API'si oluşturur
  • graphql GraphQL API'si oluşturur. Gelecekte yeni türler eklenebilir.
Değer Description
http

RESTful ön ucuna sahip bir SOAP API'lerini içeri aktarır.

soap

SOAP ön ucuna sahip SOAP API'sini içeri aktarır.

websocket

Websocket ön ucu olan API'yi içeri aktarır.

graphql

GraphQL ön ucuna sahip API'yi içeri aktarır.

odata

OData ön ucu olan API'yi içeri aktarır.

grpc

gRPC ön ucu olan API'yi içeri aktarır.

SubscriptionKeyParameterNamesContract

Abonelik anahtarı parametre adları ayrıntıları.

Name Tür Description
header

string

Abonelik anahtarı üst bilgi adı.

query

string

Abonelik anahtarı sorgu dizesi parametre adı.

TranslateRequiredQueryParametersConduct

Gerekli sorgu parametrelerini şablon parametrelerine çevirme stratejisi. Varsayılan olarak 'template' değerine sahiptir. Olası değerler: 'template', 'query'

Değer Description
template

Gerekli sorgu parametrelerini şablon parametrelerine çevirir. Varsayılan değerdir

query

Gerekli sorgu parametrelerini olduğu gibi bırakır (çeviri yapılmaz).

versioningScheme

API Sürüm tanımlayıcısının HTTP isteğinde nerede bulunacağını belirleyen bir değer.

Değer Description
Segment

API Sürümü bir yol kesiminde geçirilir.

Query

API Sürümü bir sorgu parametresinde geçirilir.

Header

API Sürümü bir HTTP üst bilgisinde geçirilir.

WsdlSelector

WSDL'nin içeri aktarılmasını belgenin bir alt kümesiyle sınırlama ölçütleri.

Name Tür Description
wsdlEndpointName

string

WSDL'den içeri aktarılacağınız uç noktanın (bağlantı noktası) adı

wsdlServiceName

string

WSDL'den içeri aktaracak hizmetin adı